<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Forms exercise</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="css/css.css">
    </head>
    <body>
        <div>
            <fieldset>
                <legend>Personal Information</legend>
                <form action="http://jkorpela.fi/cgi-bin/echo.cgi">
                    <label for="dni">Id card number (DNI format):</label>
                    <input type="text" name="dni" id="dni" 
                           pattern="(([X-Z]{1})([-]?)(\d{7})([-]?)([A-Z]{1}))|((\d{8})([-]?)([A-Z]{1}))" title="dni"><br>
                    <br><label for="surname">Surname:</label>
                    <input type="text" name="surname" id="surname" size="30"><br>
                    <br><label for="name">Name:</label>
                    <input type="text" name="name" id="name" size="15"><br>
                    <br><label for="bday">Date of birth:</label>
                    <input type="date" name="bday" id="bday"><br>
                    <br><label for="nationality">Nationality:</label>
                    <select name="nationality" id="nationality"><br>
                        <option value="english">English</option>
                        <option value="indian">Indian</option>
                        <option value="portuguese">Portuguese</option>
                        <option value="corean">Corean</option>
                        <option selected="selected" value="spanish">Spanish</option>
                        <option value="turkish">Turkish</option>
                    </select><br>
                    <br><label for="email">E-mail:</label>
                    <input type="email" name="email" id="email"><br>
                    <br><label for="pwd">Password:</label>
                    <input type="password" name="pwd" id="pwd"><br>
                    <br><label for="male">Male</label>
                    <input type="radio" name="gender" id="male" value="male" checked>
                    <br><label for="female">Female</label>
                    <input type="radio" name="gender" id="female" value="female" checked>
                    <br><label for="other">Other</label>
                    <input type="radio" name="gender" id="other" value="other" checked><br>
                    <br><label for="message">Other Comments:</label><br>
                    <textarea name="message" id="message" rows="10" cols="30">
                    </textarea><br>
                    <br><input type="checkbox" name="checkbox" checked> Receive more information through e-mail<br>
                    <input type="submit" name="submit" value="Submit">
                    <input type="reset">
                </form>
            </fieldset>
        </div>
    </body>
</html>
